function [x I R]=vrais(theta,t0,kappa,NT,Inc,S0)
 
%%%  computes the log-likelihood

%%% inputs
% thete=[alpha beta]
% NT: number of tests per day
% Inc: number of observed  infected cases per day
% S0: initial population of S

%%% outputs
% x: log-likelihood
% I: infected cases
% R: recovered

% t=1 corresponds to 01/01/2020


% solves the SIR system
T=78;
[S I R]=SIR(theta,t0,T,S0);

LHI=length(Inc); % attention, commence au 01/01/2020
I=I(1:LHI);
R=R(1:LHI);
S=S(1:LHI);
NT=NT(1:LHI);



% proba pt
I=max(I,1e-5); % to avoir log(0)
sigma=0.7;
PT=sigma*I./(I+kappa*S); PT=PT';


% log-likelihood
LBi=logfact(NT)-logfact(Inc)-logfact(max(NT-Inc,1)); %
LL=LBi+Inc.*log(PT)+(NT-Inc).*log(1-PT);
x=sum(LL(60:77));


function S=logfact(X)

% log of factorial

for i=1:length(X)
    S(i)=sum(log(1:X(i)));
end